Retrieve a list of orders
curl --request GET \
--url https://reimagined-journey-g45xxv4v6gwhvrrr-80.app.github.dev/ordersimport requests
url = "https://reimagined-journey-g45xxv4v6gwhvrrr-80.app.github.dev/orders"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://reimagined-journey-g45xxv4v6gwhvrrr-80.app.github.dev/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://reimagined-journey-g45xxv4v6gwhvrrr-80.app.github.dev/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://reimagined-journey-g45xxv4v6gwhvrrr-80.app.github.dev/orders"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://reimagined-journey-g45xxv4v6gwhvrrr-80.app.github.dev/orders")
.asString();require 'uri'
require 'net/http'
url = URI("https://reimagined-journey-g45xxv4v6gwhvrrr-80.app.github.dev/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "674d0bf5c28b69001f8e03a1",
"created_at": "2024-04-22T10:00:00Z",
"updated_at": "2024-04-22T10:00:00Z",
"name": "John",
"table_number": 8,
"dish_ids": [
"692a4a34a46ecf001f35ac6f",
"6a4a857c022eb7001f9b8972",
"6b7c2441a0db43001f9bf377"
],
"special_requests": "<string>",
"priority": 3,
"scheduled_at": null,
"status": "Received"
}
],
"total_results": 20
}{
"title": "Human-readable error title.",
"detail": "Human-readable error details."
}Orders
Retrieve a list of orders
Retreive a list of orders placed in the client app to display in the Kitchen Display System (KDS).
The expeditor will reference the list of orders to monitor and update their progress.
GET
/
orders
Retrieve a list of orders
curl --request GET \
--url https://reimagined-journey-g45xxv4v6gwhvrrr-80.app.github.dev/ordersimport requests
url = "https://reimagined-journey-g45xxv4v6gwhvrrr-80.app.github.dev/orders"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://reimagined-journey-g45xxv4v6gwhvrrr-80.app.github.dev/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://reimagined-journey-g45xxv4v6gwhvrrr-80.app.github.dev/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://reimagined-journey-g45xxv4v6gwhvrrr-80.app.github.dev/orders"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://reimagined-journey-g45xxv4v6gwhvrrr-80.app.github.dev/orders")
.asString();require 'uri'
require 'net/http'
url = URI("https://reimagined-journey-g45xxv4v6gwhvrrr-80.app.github.dev/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "674d0bf5c28b69001f8e03a1",
"created_at": "2024-04-22T10:00:00Z",
"updated_at": "2024-04-22T10:00:00Z",
"name": "John",
"table_number": 8,
"dish_ids": [
"692a4a34a46ecf001f35ac6f",
"6a4a857c022eb7001f9b8972",
"6b7c2441a0db43001f9bf377"
],
"special_requests": "<string>",
"priority": 3,
"scheduled_at": null,
"status": "Received"
}
],
"total_results": 20
}{
"title": "Human-readable error title.",
"detail": "Human-readable error details."
}Query Parameters
Sort the list in the response by a specific property. Used with the order parameter.
Set the sort order to asc for ascending or desc for descending. Must be used with the sort parameter.
Restrict which properties are returned in the response.
Filter the response to include only items that have properties equal to the specified value.
Example:
"table_number.lt~5|status.eq~On the Way"
Limit the number of objects in the response.
Required range:
x <= 30Offsets the start of the list by the set value. Defaults to 0.
Example:
0